### Class

# Rest OAuth2Proxy

#### Description

    class Rest.OAuth2Proxy : Rest.Proxy
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- RestProxy
- GObject

#### Constructors

###### rest_oauth2_proxy_new

Create a new `RestOAuth2Proxy`.

#### Instance methods

###### rest_oauth2_proxy_build_authorization_url

No description available.

since: 0.8

###### rest_oauth2_proxy_fetch_access_token_async

No description available.

###### rest_oauth2_proxy_fetch_access_token_finish

No description available.

###### rest_oauth2_proxy_get_access_token

No description available.

###### rest_oauth2_proxy_get_auth_url

No description available.

###### rest_oauth2_proxy_get_client_id

No description available.

###### rest_oauth2_proxy_get_client_secret

No description available.

###### rest_oauth2_proxy_get_expiration_date

No description available.

###### rest_oauth2_proxy_get_redirect_uri

No description available.

###### rest_oauth2_proxy_get_refresh_token

No description available.

###### rest_oauth2_proxy_get_token_url

No description available.

###### rest_oauth2_proxy_refresh_access_token

No description available.

###### rest_oauth2_proxy_refresh_access_token_async

No description available.

###### rest_oauth2_proxy_refresh_access_token_finish

No description available.

###### rest_oauth2_proxy_set_access_token

No description available.

###### rest_oauth2_proxy_set_auth_url

No description available.

###### rest_oauth2_proxy_set_client_id

No description available.

###### rest_oauth2_proxy_set_client_secret

No description available.

###### rest_oauth2_proxy_set_expiration_date

No description available.

###### rest_oauth2_proxy_set_redirect_uri

No description available.

###### rest_oauth2_proxy_set_refresh_token

No description available.

###### rest_oauth2_proxy_set_token_url

No description available.

##### Methods inherited from RestProxy (8)

###### rest_proxy_add_soup_feature

This method can be used to add specific features to the `SoupSession` objects that are used by librest for its HTTP connections. For example, if one needs extensive control over the cookies which are used for the REST HTTP communication, it’s possible to get full access to libsoup cookie API by using.

since: 0.7.92

###### rest_proxy_bind

No description available.

###### rest_proxy_bind_valist

No description available.

###### rest_proxy_get_user_agent

No description available.

###### rest_proxy_new_call

Create a new `RestProxyCall` for making a call to the web service. This call is one-shot and should not be re-used for making multiple calls.

###### rest_proxy_set_user_agent

No description available.

###### rest_proxy_simple_run

No description available.

###### rest_proxy_simple_run_valist

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Rest.OAuth2Proxy:access-token

No description available.

###### Rest.OAuth2Proxy:auth-url

No description available.

###### Rest.OAuth2Proxy:client-id

No description available.

###### Rest.OAuth2Proxy:client-secret

No description available.

###### Rest.OAuth2Proxy:expiration-date

No description available.

###### Rest.OAuth2Proxy:redirect-uri

No description available.

###### Rest.OAuth2Proxy:refresh-token

No description available.

###### Rest.OAuth2Proxy:token-url

No description available.

##### Properties inherited from RestProxy (8)

###### Rest.Proxy:binding-required

No description available.

###### Rest.Proxy:disable-cookies

No description available.

###### Rest.Proxy:password

No description available.

###### Rest.Proxy:ssl-ca-file

No description available.

###### Rest.Proxy:ssl-strict

No description available.

###### Rest.Proxy:url-format

No description available.

###### Rest.Proxy:user-agent

No description available.

###### Rest.Proxy:username

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RestOAuth2ProxyClass {
      RestProxyClass parent_class;
      void (* parse_access_token) (
        RestOAuth2Proxy* self,
        GBytes* payload,
        GTask* task
      );
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: RestProxyClass`

  No description available.

`parse_access_token: void (* parse_access_token) ( RestOAuth2Proxy* self, GBytes* payload, GTask* task )`

  No description available.

`padding: gpointer`

  No description available.

#### Virtual methods

###### Rest.OAuth2ProxyClass.parse_access_token

No description available.